List users
curl --request GET \
--url https://{defaultHost}/v1/{app_id}/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/{app_id}/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/{app_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_pages": 123,
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"per_page": 123,
"users": [
{
"id": "usr_1234567890",
"app_id": "<string>",
"user_id": "<string>",
"email": "user@example.com",
"phone": "+1234567890",
"name": "John Doe",
"login_count": 123,
"last_login_at": "2023-11-07T05:31:56Z",
"email_verified": true,
"phone_verified": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_meta": {
"first_name": "John",
"last_name": "Doe",
"company": "Acme Corp",
"role": "Developer"
},
"sessions": [
{
"id": "<string>",
"device_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z"
}
]
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Users
List users
Get a paginated list of users with optional filtering. Accepts app API secret or workspace API secret (for apps in that workspace).
GET
/
v1
/
{app_id}
/
users
List users
Authorizations
API Secret token
Path Parameters
App ID
Query Parameters
ID of a specific user
Email filter
Phone filter
Status filter (active, pending, inactive)
Filter users created before this date
Page number
Number of results per page (overrides default of 10)
Was this page helpful?
⌘I